
TYPO3.Flow - Bug # 37770

Status: Resolved Priority: Must have
Author: Adrian Föder Category: Http
Created: 2012-06-05 Assigned To: Adrian Föder
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git master
Subject: HTTP Request does not contain port information
Description

Port information is not regarded when creating a new Request form ::create factory method

Related issues:
related to TYPO3.Flow - Bug # 38547: BaseUri contains default HTTPS port Resolved 2012-07-02

Associated revisions
Revision d7106f99 - 2012-06-19 14:02 - Adrian Föder

[BUGFIX] Non-standard ports are now considered by HttpRequest

Ports that are not 80 for HTTP or 443 for HTTPS were simply not
passed through to the Request when being created by the create()
method.

Also Uri will now set the port to 443 for HTTPS if no port is
given in the string handed to the constructor.

Change-Id: I52be3aa3d04cb9407c663a5df4501e6ed04c9995
Fixes: #37770
Releases: 1.1, 1.2

Revision 091a37f7 - 2012-06-19 14:07 - Adrian Föder

[BUGFIX] Non-standard ports are now considered by HttpRequest

Ports that are not 80 for HTTP or 443 for HTTPS were simply not
passed through to the Request when being created by the create()
method.

Also Uri will now set the port to 443 for HTTPS if no port is
given in the string handed to the constructor.

Change-Id: I52be3aa3d04cb9407c663a5df4501e6ed04c9995
Fixes: #37770
Releases: 1.1, 1.2

Revision 58354078 - 2012-07-02 13:22 - Bastian Waidelich
[BUGFIX] BaseUri contains default HTTPS port

By resolving #37770 now the BaseUri and thus the base tag when
using <f:base /> contains the HTTP port if it's not equal to 80.

This adjusts Request and Uri to omit the port if it is equal to
443 and the request scheme is https.

Change-Id: Ie62bce984e23b829e25c7ba9ca00e527e79958b1
Fixes: #38547
Related: #37770
Releases: 1.1, 1.2

Revision fc7b8774 - 2012-07-04 16:00 - Bastian Waidelich

[BUGFIX] BaseUri contains default HTTPS port

By resolving #37770 now the BaseUri and thus the base tag when
using <f:base /> contains the HTTP port if it's not equal to 80.

This adjusts Request and Uri to omit the port if it is equal to
443 and the request scheme is https.

Change-Id: Ie62bce984e23b829e25c7ba9ca00e527e79958b1
Fixes: #38547
Related: #37770
Releases: 1.1, 1.2

History
#1 - 2012-06-05 17:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#2 - 2012-06-06 09:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#3 - 2012-06-06 09:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#4 - 2012-06-06 11:25 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#5 - 2012-06-06 12:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#6 - 2012-06-18 17:03 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#7 - 2012-06-18 17:12 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#8 - 2012-06-19 12:07 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#9 - 2012-06-19 14:01 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12192

#10 - 2012-06-19 14:02 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11839

#11 - 2012-06-19 14:07 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12192

#12 - 2012-06-19 14:37 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:091a37f7ab8332fe69b79df5659bf1559235099a.
#13 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
